/*******************************************************************************
 *  Copyright 2017 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  
 *    http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.hl7282.baselibs.segmentfactory;

/**
 * The Enum XmlNodes.
 */
enum SegmentXmlNodes
{	
	/** The Data dictionary. */
	SegmentMapDictionary("SegmentMapDictionary"),
	
	Segment("Segment"),
	
	Item("Item"),
	
	Sequence("Sequence"),
	
	MinLength("MinLength"),
	
	MaxLength("MaxLength"),
	
	CLength("CLength"),
	
	DT("DT"),
	
	Optional("Optional"),
	
	Repeatable("Repeatable"),
	
	Occurrence("Occurrence"),
	
	Table("Table"),
	
	ID("ID"),
	
	Name("Name");

	/** The string. */
	private String string;
	
	/**
	 * Instantiates a new xml node.
	 * 
	 * @param string the string
	 */
	SegmentXmlNodes(String string)
	{
		this.string = string;
	}

	/**
	 * Gets the value.
	 * 
	 * @return the value
	 */
	public String getValue()
	{
		return string;
	}
}
